Ubuntu

[Lucid][Ubuntu 10.04][ATI cards] Slow/freeze windows management (resize, maximise, .etc) with fglrx driver + compositing desktop.

Reported by idyllic on 2010-04-23
748
This bug affects 136 people
Affects Status Importance Assigned to Milestone
xf86-video-ati
New
Undecided
Unassigned
Arch Linux
New
Undecided
Unassigned
Gentoo Linux
New
Undecided
Unassigned
fglrx-installer (Ubuntu)
Undecided
Unassigned

Bug Description

PPA to fix the error 'til a final solution is created:

---------------------------------------------------------------------------------------------------------------------------

KARMIC: https://launchpad.net/~k0ekk0ek/+archive/ppa
LUCID: https://launchpad.net/~info-g-com/+archive/xserver-xorg-1.7.6-gc

Please do not write: Have the same error nor it affects me to, please become a subscriber!
THX Alf

--------------------------------------------------------------------------------------------------------------------------

Binary package hint: fglrx

[Environment]
* You are using fglrx restricted driver from Ubuntu repository or download the linux driver from AMD ATI website (fglrx version <= 8.723.1-0ubuntu3).
* If your ATI card is listed in the following pdf, then your desktop behaviours will most likely be affected the 'bugs' listed in [Symptoms] section.
  https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/catalyst_102_linux.pdf
* GNOME and KDE SC 4.
* Compositing desktop is enabled (Compiz and KWIN).

[Symptoms]
* Window Management: Unminimizing, Maximising, Full-Screening, Resizing windows and Switching windows (Alt+Tab) will noticably freeze the screen for about 1 second plus. Your mileage might vary.
* Memory (RAM) Management: Secondary problem you might notice is memory leak and/or memory-clearing problem (http://www.phoronix.com/forums/showthread.php?t=21471).

idyllic (idyllic) wrote :
description: updated
idyllic (idyllic) on 2010-04-23
description: updated
idyllic (idyllic) on 2010-04-23
description: updated
idyllic (idyllic) wrote :

It was suggested by Bryce Harrington that we create a fresh bug report because of the comment limit and dangling workaround instructions in the 400+ comments. Please don't mark it as a duplicate of #351186.

Quote Bryce Harrington.
"Finally, I notice that the #comments has now exceeded what launchpad can handle, so the bug comments can no longer be displayed in the web interface. That's a shame.If I were you guys, I'd close out this bug report and replace it with a fresh one, that has a clear write up for a description, the current patch attached, the PPA as a workaround, and steps to rebuild xserver to include the patch."

tags: added: patch
idyllic (idyllic) on 2010-04-24
description: updated
ybdjkfd (ybdjkfd) wrote :

Can't use the patch and build instructions anymore on Lucid. The patch command relates:

patching file p1
Hunk #1 FAILED at 483.
1 out of 1 hunk FAILED -- saving rejects to file p1.rej

Can anyone help update this patch for Lucid?

ybdjkfd (ybdjkfd) wrote :

I'm sorry, I typed the patch command incorrectly. Please disregard the last message, I don't have an option to delete it.

idyllic (idyllic) wrote :

I tested again with the instruction. It works fine.

hoa@halcyon:~/Forge/xorg/xorg-server-1.7.6$ patch -p1 < xserver-xorg-backclear.patch
patching file composite/compalloc.c
Hunk #1 succeeded at 486 (offset 3 lines)

I suggest you redownload the source-file. Then apply the patch again. Remember to go into the xorg-server-* directory first then wget the patch and lastly apply it.

cazacugmihai (cazacugmihai) wrote :

dpkg-shlibdeps: warning: dependency on libXpm.so.4 could be avoided if "debian/xdmx-tools/usr/bin/xdmxconfig" were not uselessly linked against it (they use none of its symbols).
dpkg-shlibdeps: warning: dependency on libXext.so.6 could be avoided if "debian/xdmx-tools/usr/bin/dmxresize debian/xdmx-tools/usr/bin/dmxreconfig debian/xdmx-tools/usr/bin/dmxaddscreen debian/xdmx-tools/usr/bin/xdmx debian/xdmx-tools/usr/bin/dmxaddinput debian/xdmx-tools/usr/bin/dmxrmscreen debian/xdmx-tools/usr/bin/dmxrminput debian/xdmx-
I have this error on
Hi,

Do you know something about this error (on ' debuild -us -uc' command):

tools/usr/bin/dmxwininfo" were not uselessly linked against it (they use none of its symbols).
dpkg-shlibdeps: warning: dependency on librt.so.1 could be avoided if "debian/xdmx-tools/usr/bin/dmxresize debian/xdmx-tools/usr/bin/xdmxconfig debian/xdmx-tools/usr/bin/dmxreconfig debian/xdmx-tools/usr/bin/dmxaddscreen debian/xdmx-tools/usr/bin/xdmx debian/xdmx-tools/usr/bin/dmxaddinput debian/xdmx-tools/usr/bin/dmxrmscreen debian/xdmx-tools/usr/bin/dmxtodmx debian/xdmx-tools/usr/bin/dmxrminput debian/xdmx-tools/usr/bin/vdltodmx debian/xdmx-tools/usr/bin/dmxwininfo" were not uselessly linked against it (they use none of its symbols).
dpkg-shlibdeps: error: no dependency information found for /usr/lib/libGL.so.1 (used by debian/xserver-xephyr/usr/bin/Xephyr).
dh_shlibdeps: dpkg-shlibdeps -Tdebian/xserver-xephyr.substvars debian/xserver-xephyr/usr/bin/Xephyr returned exit code 2
make[1]: *** [binary-deb] Error 9
make[1]: Leaving directory `/home/ms/Desktop/xorg-server-1.7.6'
make: *** [binary-arch] Error 2
rm stampdir/configure-main
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2
debuild: fatal error at line 1340:
dpkg-buildpackage -rfakeroot -D -us -uc failed

cazacugmihai (cazacugmihai) wrote :

Attached is the log file for 'debuild -us -uc > log.txt' command.
My system: iMac 27" with ATI Mobility Radeon HD 4850 video card.
OS: Ubuntu 10.04

Alf Gaida (info-g-com) wrote :

Hi, the actual ppa with 1.7...ubuntu7 can be found at

https://launchpad.net/~info-g-com/+archive/xserver-xorg-1.7.6-gc

Please, be a little patient, i have build it on my own and its work. Have to wait 'til launchpad hopefully build it too.

Alf Gaida (info-g-com) wrote :

builded, tested, working ;-)

ybdjkfd (ybdjkfd) wrote :

I built xserver-xorg-core and xserver-common with the patch and everything appears to be working fine again with fglrx that is included in the repositories for lucid.

cazacugmihai (cazacugmihai) wrote :

I'm still have ugly gradients and slow videos. And the error mentioned above is still present.

Alf Gaida (info-g-com) on 2010-04-30
affects: fglrx-installer (Arch Linux) → archlinux
Brendan_P (brendan-p) wrote :

PPA from comment #8 works around the problem for me. Thanks Alf.

idyllic (idyllic) on 2010-04-30
description: updated

PPA from comment #8 also woks for me. I have a Lenovo ThinkPad T400 and ATI Mobility Radeon HD 3470. My question now is what happens when a xorg-server update comes through? Do I just keep on using the one from the PPA and hold updates back?

Alf Gaida (info-g-com) on 2010-05-03
description: updated
description: updated
Alf Gaida (info-g-com) wrote :

As suggested i tried the configurations

-ati
-nouveaux
-nvidia
-fglrx

and found no visible regressions, slowdowns nor memory leaks with gnome and compiz
kwin breaks with and without this patch and 10.4 in KDE
KDE and emerald or KDE and GTK work without clues

Vancouverite (sethgilchrist) wrote :

Hi all,
I was looking at the docs for the latest version of the ATI driver from their website and of significance is that this bug is *still* not listed in the known issues section of the doc. Do they even know about this? I think that an awareness campaign is in order!

Please go to <http://www.amd.com/us/LinuxCrewSurvey/> and fill out the survey and be sure to cite this bug and the linking bug (351186) for their reference and to show them just how old and well known it is.

Regards,
Van

Alf Gaida (info-g-com) wrote :

@Vancouverite
Thanks for the survey. Done. Have a look at 351186 comment #228 by Felix Kuehling. Have a look at the mail address in the profile. Sure i think AMD knows about this problem ;-). Last week I've been in a thread at phoronix, there was interesting news about new drivers from AMD by bridgman. (also @amd) So i think, they know about. IMHO the bug isn't primary in the ati drivers, i think its in Xorg.

Fix works great!!

Toshiba Satellite A300

ATI 3650 HD

Many thanks!!

Daniel Castro (castromd) wrote :

Thanks Alf! Using your PPA and it works.
I'm on a Thinkpad W500 with ATI Mobility Radeon HD 3650.

I notice my xorg process uses a lot of memory, more than 165MB. Is this normal?

Daniel Castro (castromd) wrote :

Me again. My xorg process uses around 140-170MB, could there be a memory leak here? Or is this normal?
It's just that I have another Thinkpad (T61 with Intel video) and xorg process never grows over 50MB.
Let me know if you think there could be an issue here and if we want logs to track it.
Thanks!

Yossi Ovadia (jabadia) wrote :

Fix works great !
HP 6930p
ATI Mobile Radeon 3400

Many thanks!!

Alf Gaida (info-g-com) wrote :

@19
If it is a leak then dont worry about it in the start of your computer. I check this back with my Computer. Depending on th number of open windows and their size, Xorg take between 100 and 200 M at Start. When these Value is nearly the same +/- 20-30M after a few hours, i think you dont have a leak. If it increase to 500M or so with no windows open then i would say, there can be a leak.

So it comes to another question: Why do we use graphic card with 1 or 2 G of own memory? There must be an profit for us to do so. I think a pice of that amount of memory are objects cached by Xorg and will be destroyed by xorg after a amount of time...

ngc2997 (ngc2997) wrote :

Confirm the fix works, at least when it comes to window management - @Alf: thank you very much for providing the PPA.

Yet what I am still very unhappy with is the (obvious) memory management problem (leak) mentioned in the original bug description. Having glxinfo executed regularly by a script in order to deallocate memory is a hack I'd rather not apply to my system, not because it doesn't work out (in fact, it does), but because it is not what I'd call a 'clean' solution. *sigh*

This is a really annoying situation: fglrx has severe memory problems and doesn't support KMS (i.e. ugly boot screen), xserver-xorg-video-ati lacks power management and lets the GPU run hot - both are (IMHO) not usable, so back to non-compositing until one or the other (or both) get fixed properly. :|

Dana Goyette (danagoyette) wrote :

It looks like something similar to option "C" is going on upstream now:
http://lists.x.org/archives/xorg-devel/2010-May/008085.html

Fiodor (u-giorgi) wrote :

Nice job !

works with my ATI HD 2600XT

thanks !

Big Jeff (bigjeff1002) wrote :

HELP! Ubuntu 10.04 (Lucid) Freezing and hanging for several seconds when I click on a page, file, etc., both on-line and off-line.
Running Nvidia graphics card on a Dell M6400 Precision Workstation. This is driving me crazy! What to do? Would be deeply grateful for help. <email address hidden>.

Brendan_P (brendan-p) wrote :

@Big Jeff
This bug is related to ATI cards only. My guess is you have a different issue I'm afraid.

fractaluser (fractaluser) wrote :

This kind of solved my issue, i used Alf's PPA and im having some better results now than before. For sure the minimize, maximize, enlarge, tab and all that was fixed. Its just one other "error" im still experiencing. For follow up please have a look at my topic back at ubuntu forums: http://ubuntuforums.org/showthread.php?t=1477258

With the PPA from Alf i could "not use the computer" for over 1 minute, which i havent been able to do since i've had linux on my laptop (almost 2 years now). Its a Fujitsu Siemens Amilo Xi 2550 (HD Mobility Radeon 2700 (or 2600 as in linux)). Very much appreciated and i hope upcoming updates might even fix my problem totaly =)

Thank you for this great commitment you are doing to solve all our issues!

fractaluser (fractaluser) wrote :

https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/577962

Sorry for the double post but here is my bug report if someone wants to look it over.

Thank you very much for the patch. It completely solved the freeze windows management problem.
But the proposed workaround for the memory leak problem does not work for me. Typically xorg will use around 250m after X started. Then the memory use will grow to around 3G after one day. (this is not the GEM memory leak, for I am using proprietary driver) Does anyone have the same problem?

I am using Lucid x86_64 with xserver compiled as stated in the description. My card is ATI FireGL Mobility V5700 (Thinkpad modified version of HD3450) and the driver I am using is fglrx 8.723.

Fiodor (u-giorgi) wrote :

@ creatorlarryli

I've also noticed this problem.
disabling Compiz only use the ram returns to normal...
I am using Lucid x86_32 and driver installed from Driver Hardware.

Alf Gaida (info-g-com) wrote :

I have read in other bugs and bord a nice workaround. Create an Button that runs glxgears for twenty seconds. This should fix the leaking...

PieroCampa (piero-campa) wrote :

I have a DELL XPS STUDIO, with ATI/AMD proprietary fglrx driver and an ATI HD 3670 video-card.
I had the problem concerning the maximizing/resizing windows low speed with Ubuntu Karmic: solved with no-back-fill ppa.
Now I upgraded to Lucid Lynx and the problem came back (I was so happy to know that! :)

Unfortunately none of the solutions you listed worked for me (xserver-xorg-1.7.6-gc ppa, "MigrationHeuristic" "greedy", "AccelMethod XAA", Harrington's ppa, amdccle->disable option, no-backclear patch, etc.).

I then decided to remove the proprietary fglrx driver, but I have a crash and something goes wrong and the result is that I can't install the ATI open-source driver.

(I guess I'll have to wait for an update of the fglrx driver... I would ask you: is it an automatic update or do I have to add some ppa to my software sources?)

Brendan_P (brendan-p) wrote :

@PieroCampa

I have the same machine, at least same ATI card if you a diff model to mine, XPS Studio 16

Solution in comment #8 works 100%.

Bryce Harrington (bryce) on 2010-05-14
tags: added: kubuntu
PieroCampa (piero-campa) wrote :

@Brendan_P

Thank you Breand, I tried that, but no improvements unfortunately.

Lenovo W500 with ATI Mobility Radeon HD 3650
Ubuntu 10.04 with compiz activated

I can confirm the fix. Great Job Thank you.
After adding/ installing the packages and rebooting I got a black screen. No login GUI appeared. Reinstalling the proprietary ATI Driver fixed that!

Daniel Castro (castromd) wrote :

Hi,

Yesterday my update manager upgraded:

Commit Log for Wed May 19 10:15:58 2010
Upgraded the following packages:
gdm (2.28.1-0ubuntu2.1) to 2.28.1-0ubuntu2.2
xserver-common (2:1.6.4-2ubuntu4.2+backclear1) to 2:1.6.4-2ubuntu4.3
xserver-xorg-core (2:1.6.4-2ubuntu4.2+backclear1) to 2:1.6.4-2ubuntu4.3

Although it is not as bad as without this fix, the slow window effects are back. Now minimize, unminimize and maximize are slower than before this update was applied.

Any ideas?

Thanks!

slovy88 (slovyno) wrote :

somehow I fixed this by my self...
1)I used the ppas above and ran the update
2)I renamed the /etc/ati folder to /etc/ati_OLD
3)I restarted with:
sudo /etc/init.d/gdm restart
4)ran Ubuntu in low graphic mode and installed ati driver from ati site.
5)again I restarted and I dont see any problems by now. If anything changes I ll post it.
Good luck

Daniel Castro (castromd) wrote :

This fix definitely broke after the last update.

So I disabled https://launchpad.net/~k0ekk0ek/+archive/ppa and re-enabled https://launchpad.net/~launchpad-weyland/+archive/xserver-nobackfill did the updates and now it's all good again.

So there are at least three different PPAs for this:
https://launchpad.net/~k0ekk0ek/+archive/ppa
https://launchpad.net/~launchpad-weyland/+archive/xserver-nobackfill
https://launchpad.net/~info-g-com/+archive/xserver-xorg-1.7.6-gc

Anyone knows what are the differences between them and which one is better?

Alf Gaida (info-g-com) wrote :

#38 Please read the description in top and you'll find the answer to your questions about k0ekk0ek and info-g-com. (about no backfill read in 351186)

.. definitely broke..

"It Ain't Necessarily So" (George Gershwin).

Nobody forced you to update the xorg-xserver. If you wish to be unaffected of such updates, make the ppa sticky. If you would get back the fix you should use synaptics and select version. If you couldn't wait 'til i update the ppa, then you can decide to build your own patch. The steps are listed above and work. I'll build a new source later today or tomorrow.

Daniel Castro (castromd) wrote :

@#39
Forgive my ignorance, but how does one make a PPA sticky?
Is it Synaptic -> Package -> Force Version?
Thanks.

Alf Gaida (info-g-com) wrote :

Yes, mark the xorg-server and set version. One short notice: If you do so, you have to look for new versions manually, i.e. in the ppa. If you take a look at the ppa should get an "new version available" or so. Anyway, if Catalyst run without problems ther is no reason to change sub-minor-versions as 1.7.6-1 -2 -3. It will make no sence, nor in performance nor is stability. Relax and wait for a few days, you will miss nothing.

As i wrote so, i'm use 1.8.0.1 in Arch. Nice to have, but not a must... If the 1.7.6 runs stable, yust be lucky.

Daniel Castro (castromd) wrote :

For what it's worth. I've never been too happy with Xorg memory utilization so today I tried the following:
1. Uninstalled Ubuntu's proprietary ATI drivers from System -> Administration -> Hardware Drivers.
2. Reboot.
3. Download and install ATI drivers from their website. http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.2&product=2.4.2.3.25&lang=English
4. Reboot.

Now I'm using latest ATI and memory usage of Xorg seems a lot better.

Note: If xserver has to be updated with the nobackfill fix before installing the drivers, if done after X won't start and drivers will have to be removed and reinstalled.

Alf Gaida (info-g-com) wrote :

If you had readed and understanded the suggested comments for bug 351186 you would know why there is no recommendation for the no-backfill patch.... Btw., the ubuntu version for catalyst is 10.4-666, the version of their website is 10.4-1. Guess why most people at fedora or arch or so use the ubuntu one ;-).

Second time: Nobody force you to use the fglrx nor backfill!

Daniel Castro (castromd) wrote :

Alf I'm not complaining I'm just explaining the different things that I've experienced, it might help other people.
Seriously, there is no need for your attitude.

Alf Gaida (info-g-com) wrote :

@44 and @all
I don't think I'm too unkind in the end. IMHO it is a real advantage for me to know what I am doing. Mostly I reach this goal reading the whole stuff. In this special case I would read the comments on bug 351186 #126 #127 #128 #174 #218 #219 about no-backfill.

The no-backclear is described at #228 #234 #256 . The advantage of no backclear and the ppa for karmic your can find here. (#291..#296).

My intention for an own ppa is described at its best at #264 and by myself at #413 #414 #421 #436.

You will see it's all in the records...

@Daniel: It was no offense writing that you are not forced to use fglrx and no backfill. You and anyone can give the free driver a chance. I did this yesterday with a brand new X 1.8 directly from the latest sources and the latest xf86-video-ati, ati-dri, mesa and so on directly from the git. Then I built Compiz 0.86somewhat from the git and it works mostly. Disadvantages are: No powermanagement, my 4890 runs at full speed all the time (over 90 Watts more power consumption), several bugs in Compiz effects (finally get a kernel panic), bugs with glx (best shown with glxgears), memory leaks within compiz. Some strange behaviour with false rendering..). I have checked this out with arch and a 2.6.34 patched kernel (new scheduling, powermanagement and so on) just for fun.
I found out by and for myself that the most errors are related primarily to compiz, second in Xorg and the minor part in Catalyst. I've choosen arch, because I'm familiar with arch and I figured out that it has nothing to do with Ubuntu. Today I'll change back to Catalyst and will build a new version of the ppa.

DGamer (amkoraiem) wrote :

Happens to me with Nvidia Driver too.... Acer laptop w/ GeForce 8600M GS

Paul Engel (paul-cyberengel) wrote :

I tried the fix in comment #8 and the system (Lenovo W500 running Lucid) seemed to hang after the Ubuntu splash and before the login screen. Rebooting to low graphics mode and reinstalling the ATI proprietary driver fixed the hand and my window performance has improved dramatically.

Thanks.

Alf Gaida (info-g-com) wrote :

New package available: xorg-server - 2:1.7.6-2ubuntu7.1-gc5

Lars Kumbier (derlars) wrote :

The suggested fix
https://launchpad.net/~info-g-com/+archive/xserver-xorg-1.7.6-gc
works great for me - now my system feels slick again :). I checked OpenGL games, video playback and the resizing of windows without any problems.

System is
Lucid,
ATI RadeOn HD mobility 3670 with
fglrx 8.723.1-0ubuntu3
(Lucid stable packages as of writing).

GopNick (80502905788-mail) wrote :

http://blogs.amd.com/play/2010/06/16/ati-catalyst%E2%84%A2-10-6-driver-%E2%80%93-what%E2%80%99s-new/

2D performance enhancements

    * ATI Catalyst™ 10.6 delivers a new architecture for 2D acceleration. The new 2D architecture delivers fast windows resizing with Compiz/Visual-Effects and general 2D performance improvements in all AMD supported Linux distributions.

Stino (agostino-leonida) wrote :

it works?

DLohner (denis-lohner-net) wrote :

I'm running Lucid (x86_64) with the 2.6.34-020634 kernel from kernel-ppa/mainline on a Thinkpad W500 (Radeon HD 3650).

Downloading the proprietary driver from http://www2.ati.com/drivers/linux/ati-driver-installer-10-6-x86.x86_64.run and installing worked for me after adding the attached patch to dkms and using the installer's option to build an ubuntu package. I suppose, up to kernel version 2.6.33 no additional patch should be necessary.

Windows now minimize and resize very smoothly. Also memory usage of X is constant (after running X for 1,5 hours), although it is pretty high with 360 mb.

Nicolas Delvaux (malizor) wrote :

Is there a possibility that Jaunty, Karmic and Lucid get this new/fixed fglrx via regular updates ?
(or at least on Lucid, because this is an LTS)

Dana Goyette (danagoyette) wrote :

I've actually noticed that this "backfill" behavior itself seems to cause glitches on my Intel netbook. When I use the "vacuum" animation for menu creation, new menus grab bits of the window behind them and drag those bits along, until the real content finishes appearing. That's exactly what Xorg deliberately does: it copies the contents of underlying windows into new windows.
I'll test it with the backclear patch now.

Roby Chok (tomasz-cenian) wrote :

http://blogs.amd.com/play/2010/06/16/ati-catalyst%E2%84%A2-10-6-driver-%E2%80%93-what%E2%80%99s-new/

New driver from ati (10.6) works perfectly and finally ATI addressed this issue.
I have Mobility Radeon HD 4500 (Dell Studio 1555).

Eerlier on I suffered from a different bug:
https://bugs.launchpad.net/ubuntu/+bug/574848?comments=all
which was fixed with previous Catalyst 10.5.

I've just uninstalled 10.5 and installed 10.6 - now the system properly resumes and finally feels sleek :)

humble_coffee (humblecoffee) wrote :

New ATI Driver fixes this for me too. Finally!

John Brondum (johnbrondum) wrote :

Not quite for me.

It did remove the minimise/maximise delay, but it introduced big black sections within the application windows - especially when using Thunderbird or Nautilus. The windows basically looked like they were trying to refreshed but couldn't and resolved into a black square. E.g., change directory in Nautilus would cause the panel on the left side to go black, the folder view in Thunderbird would go black if clicking between messages.

It was so bad that I have reverted back to the above patch and uninstalled the new ATI driver.

Hardware: ATI Mobility HD 3650 / HP EliteBook 8530p
Ubuntu 10.04

Fiodor (u-giorgi) wrote :

@ John Brondum

have You uninstall Ati driver before install PPA ?

I read that can help for your problem.

John Brondum (johnbrondum) wrote :

Hi Fiodor

thanks for your suggestions. I did the following:
- uninstalled fglrx driver (latest distributed with Ubuntu - ATI driver version 10.5 I believe) reverting back to the open source driver
- reverted back to unpatched xserver
- rebooted into recovery mode
- installed the new ATI driver 10.6
- normal boot.

Things worked fine until I started noticing these black parts of my application windows.

So I have reverted back to the Ubuntu distributed AMD ATI driver and the above patched xserver - which works very well as it did before I tried the new AMD ATI driver :)

Alf Gaida (info-g-com) wrote :

Why do you remove the patched Server. The Server has absolutly nothing to do with the ati driver. The combination patched server + 10.6 works without glitches and errors for me. Give it a try.

aarons (aarons-ubuntu) wrote :

Running lucid, I upgraded my xorg stuff to the latest, and built the .deb from the 10.6 installer. I'm not experiencing the annoying delays, but if I run glxinfo or fglrxinfo, I get the error message "couldn't find RGB GLX visual"

Is anyone else getting that? Is there some procedure I should follow to make sure I have a clean version of everything?

fllaim (alim-cpp) wrote :

@aarons
I am heading same issue. After install 10.6, system did not see my card, jockey is empty, because new installer removes package xorg-server-fglrx and not contains newer version. So I am using ubuntu's older one.

Alf Gaida (info-g-com) wrote :

New package available: xorg-server - 2:1.7.6-2ubuntu7.2-gc6

My desktop PC is also affected by this bug.
I have a ATI Radeon HD5850 in my pc and compiz was slow as hell... It runs a lot slower than on my laptop with an integrated Intel card... this should really be solved.

@Ald Gaida. Thank you very much! The xorg-server package from your ppa did the trick. My desktop is lightening fast now!

@Ubuntu developers: Please look into this bug. It really is a showstopper for new users with ATI cards.

Sean Manning (sean-manning) wrote :

The Karmic (9.10) version of the xorg patch has been superceded by a subsequent xserver release. You can add it with add-apt-repository but apt-get-update will ignore it. I could try building it manually following the instructions under "Workarounds", but could you update the version at https://launchpad.net/~k0ekk0ek/+archive/ppa?

Alf Gaida (info-g-com) wrote :

Your can use the ppa from k0ekk0ek without problems. Use synaptic and force the use of k0ekk0ek's version

Alf Gaida (info-g-com) wrote :

New package available: xorg-server - 2:1.7.6-2ubuntu7.3.gc-01

madmed (medbelh) wrote :

I removed all fglrx drivers and installed catalyst 10.7 today and the problem is gone.

I can confirm above post.

I can also confirm above posts.
I've installed catalyst 10.7 drivers and 'downgraded' xserver-xorg-core and xserver-common to the original ubuntu versions and the problem seems to be solved!

Looks like this bug has been resolved... Yes!

(Still having some issues with video-tearing though, but thats another thing (from what i've read, is that a shortcoming of the ATI catalyst drivers and have nothing to do with ubuntu) .)

Alf Gaida (info-g-com) wrote :

You have to look twice ;) The Bug isn't gone, but a lot faster now. I discovered the 1.8.1 and 1.8.2 and the bug is still there. I tried Maverick last week with an brand new bleeding Xserver (1.8.xxx) where the patch can't applied anymore. But in this version it seems the bug has gone too.

Nguyen Anh Minh (minhna) wrote :

I installed catalyst 10.7 drivers. But my thunderbird still has problem with the black windows.

Download full text (5.0 KiB)

On Wed, Aug 25, 2010 at 2:34 AM, Nguyen Anh Minh <email address hidden> wrote:

> I installed catalyst 10.7 drivers. But my thunderbird still has problem
> with the black windows.
>
> --
> [Lucid][Ubuntu 10.04][ATI cards] Slow/freeze windows management (resize,
> maximise, .etc) with fglrx driver + compositing desktop.
> https://bugs.launchpad.net/bugs/568988
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in xf86-video-ati: New
> Status in “fglrx-installer” package in Ubuntu: New
> Status in Arch Linux: New
> Status in Gentoo Linux: New
>
> Bug description:
> PPA to fix the error 'til a final solution is created:
>
>
> ---------------------------------------------------------------------------------------------------------------------------
>
> KARMIC: https://launchpad.net/~k0ekk0ek/+archive/ppa
> LUCID: https://launchpad.net/~info-g-com/+archive/xserver-xorg-1.7.6-gc
>
> Please do not write: Have the same error nor it affects me to, please
> become a subscriber!
> THX Alf
>
>
> --------------------------------------------------------------------------------------------------------------------------
>
>
>
>
> Binary package hint: fglrx
>
> [Environment]
> * You are using fglrx restricted driver from Ubuntu repository or download
> the linux driver from AMD ATI website (fglrx version <= 8.723.1-0ubuntu3).
> * If your ATI card is listed in the following pdf, then your desktop
> behaviours will most likely be affected the 'bugs' listed in [Symptoms]
> section.
>
> https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/catalyst_102_linux.pdf
> * GNOME and KDE SC 4.
> * Compositing desktop is enabled (Compiz and KWIN).
>
> [Symptoms]
> * Window Management: Unminimizing, Maximising, Full-Screening, Resizing
> windows and Switching windows (Alt+Tab) will noticably freeze the screen for
> about 1 second plus. Your mileage might vary.
> * Memory (RAM) Management: Secondary problem you might notice is memory
> leak and/or memory-clearing problem (
> http://www.phoronix.com/forums/showthread.php?t=21471).
>
> [Workarounds]
> * Window Management:
> - Using PPA (Lucid Only) by Bryce Harrington (not up-to-date as of time of
> writing)
> PPA address @
> https://edge.launchpad.net/~bryceharrington/+archive/violet
> In terminal, 'sudo add-apt-repository ppa:bryceharrington/violet' then
> install the update and reboot.
>
> Other PPAs:
> + Alf Gaida (Lucid):
> https://launchpad.net/~info-g-com/+archive/xserver-xorg-1.7.6-gc
> 'sudo add-apt-repository ppa:info-g-com/xserver-xorg-1.7.6-gc'
>
> - Compile your own packages - when the ppa is not updated fast enough (or
> you are an update-freak like me)
> + You need to tick 'Source Code' option in Synaptic Repositories or add
> relevant source code repo (deb-src) if you are using
> ppa:ubuntu-x-swat/x-updates.
> + Building instruction:
> sudo apt-get build-dep xorg-server
> sudo apt-get install devscripts
> apt-get source xorg-server
> cd xorg-server-*
> wget
> http://launchpadlibrarian.net/45103003/xserver-xorg-backclear.patch
> patch -p1 < xserver-xorg-backclear.patch
> dch -l local 'Backclear Patch'
> debuild...

Read more...

Alf Gaida (info-g-com) on 2010-08-25
description: updated
Nguyen Anh Minh (minhna) wrote :

I installed catalyst 10.8. thunderbird Still has problem with black windows.

idyllic (idyllic) wrote :

Black windows is a separate issue. Please fill a different bug at ATI bugzilla. This bug report is for windows resizing only.

The PPA (LUCID: https://launchpad.net/~info-g-com/+archive/xserver-xorg-1.7.6-gc ) works great on my Lenovo W500 (01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon HD 3650) with one exception, when resuming it can sometimes churn the disk for a minute or two..

Thanks!

madmed (medbelh) wrote :

I'm running Maverick with the latest updates and the problem is gone. :-)

DJ (twk3) wrote :

When I upgraded to maverick and lost the use of the PPA the problem returned. After adding the swat repo it was less noticeable, but still there.

I was using the latest from the release repo.

Alf Gaida (info-g-com) wrote :

Ok. At the moment i don't use ubuntu because there are to many bugs. But I'll try to apply the patch later this week or at weekend.

bwat47 (bwat47) wrote :

This bug seems to be gone with maverick and cat 10.12

viking-pl (viking-joomla) wrote :

It is gone also here for ATI Mobility Radeon 3650HD

DJ (twk3) wrote :

Aye, I re-installed the driver today and I'm no longer having the issues.

Alf Gaida (info-g-com) wrote :

new version xorg-server 2:1.7.6-2ubuntu7.5+gc01 in
https://launchpad.net/~info-g-com/+archive/xserver-xorg-1.7.6-gc

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments